// HoverButtonGroup.cpp: implementation of the CHoverButtonGroup class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "HoverButtonGroup.h"
#include "HoverButton.h"
#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CHoverButtonGroup::CHoverButtonGroup()
{

}

CHoverButtonGroup::~CHoverButtonGroup()
{
	m_Buttons.RemoveAll();
}


void CHoverButtonGroup::AddItem(CHoverButton *pButton)
{
	m_Buttons.AddTail((CObject *)pButton);
	pButton->SetOwner(this);
}

void CHoverButtonGroup::ButtonClicked(CHoverButton *pButton)
{
	POSITION Pos;
	CHoverButton *pTemp;

	Pos = m_Buttons.GetHeadPosition();
	
	while (Pos)
	{
		pTemp = (CHoverButton *)m_Buttons.GetNext(Pos);

		if (pTemp != pButton)
		{
			if (pTemp->GetButtonState() != BUTTON_GREYED)
			{
				pTemp->SetButtonState(BUTTON_OFF);
				pTemp->Invalidate(TRUE);
			}
		}
	}
}